#!/usr/bin/python3
# Contour.py
# La fonction matplotlib.pyplot.contour()

import numpy as np
import matplotlib.pyplot as plt

def f(x, y):
    if x == 0 and y == 0:
        return 0
    return x**2 * y / (x**4 + y**2)
vf = np.vectorize(f)
x = y = np.linspace(-2, 2, 200)
X, Y = np.meshgrid(x, y)
Z = vf(X, Y)
plt.contour(X, Y, Z)
plt.show()

